Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.treeframe.ruler
Class TreeViewRuler

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      info.bioinfweb.treegraph.gui.treeframe.ruler.TreeViewRuler

All Implemented Interfaces:
  TreeViewRulerConstants, TreeViewPanelListener, ImageObserver, MenuContainer, Serializable, EventListener, Accessible, Scrollable

    public class TreeViewRuler

extends JPanel
implements Scrollable, TreeViewPanelListener, TreeViewRulerConstants

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static float` | `DASH_LENGTH` The maximal length of a dash
`static float` | `LABEL_DISTANCE` The distance of the labels to the border of the component
`static String` | `LABEL_LENGTH_STANDARD` This string is used to test if the interval between two main dashes is smaller than the usual label text.
`static float` | `MEDIUM_FACTOR` The factor to calculate the length of the medium dashes from the maximal length
`static float` | `MIN_DASH_DISTANCE` The minimal distance that two dash must have to be painted
`private RulerOrientation` | `orientation`
`static float` | `SMALL_FACTOR` The factor to calculate the length of the smallest dashes from the maximal length
`private TreeViewPanel` | `treeViewPanel`
`private RulerUnit` | `unit`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface info.bioinfweb.treegraph.gui.treeframe.ruler.TreeViewRulerConstants
`FONT, SMALL_LENGTH`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`TreeViewRuler(RulerOrientation orientation, TreeViewPanel treeViewPanel)`

Method Summary
`Dimension` | `getMinimumSize()`
`RulerOrientation` | `getOrientation()`
`Dimension` | `getPreferredScrollableViewportSize()`
`int` | `getScrollableBlockIncrement(Rectangle arg0, int arg1, int arg2)`
`boolean` | `getScrollableTracksViewportHeight()`
`boolean` | `getScrollableTracksViewportWidth()`
`int` | `getScrollableUnitIncrement(Rectangle arg0, int arg1, int arg2)`
`RulerUnit` | `getUnit()`
`protected void` | `paintComponent(Graphics g1)`
`void` | `selectionChanged(ChangeEvent e)`
`void` | `setUnit(RulerUnit unit)`
`void` | `sizeChanged(ChangeEvent e)`
`void` | `zoomChanged(ChangeEvent e)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DASH_LENGTH

    public static final float DASH_LENGTH

  The maximal length of a dash

  See Also:
    Constant Field Values

### MIN_DASH_DISTANCE

    public static final float MIN_DASH_DISTANCE

  The minimal distance that two dash must have to be painted

  See Also:
    Constant Field Values

### LABEL_DISTANCE

    public static final float LABEL_DISTANCE

  The distance of the labels to the border of the component

  See Also:
    Constant Field Values

### SMALL_FACTOR

    public static final float SMALL_FACTOR

  The factor to calculate the length of the smallest dashes from the maximal length

  See Also:
    Constant Field Values

### MEDIUM_FACTOR

    public static final float MEDIUM_FACTOR

  The factor to calculate the length of the medium dashes from the maximal length

  See Also:
    Constant Field Values

### LABEL_LENGTH_STANDARD

    public static final String LABEL_LENGTH_STANDARD

  This string is used to test if the interval between two main dashes is smaller than the usual label text.

  See Also:
    Constant Field Values

### orientation

    private RulerOrientation orientation

### unit

    private RulerUnit unit

### treeViewPanel

    private TreeViewPanel treeViewPanel

Constructor Detail

### TreeViewRuler

    public TreeViewRuler(RulerOrientation orientation,
                         TreeViewPanel treeViewPanel)

Method Detail

### getUnit

    public RulerUnit getUnit()

### setUnit

    public void setUnit(RulerUnit unit)

### getOrientation

    public RulerOrientation getOrientation()

### getPreferredScrollableViewportSize

    public Dimension getPreferredScrollableViewportSize()

  Specified by:
    `getPreferredScrollableViewportSize` in interface `Scrollable`

### getScrollableBlockIncrement

    public int getScrollableBlockIncrement(Rectangle arg0,
                                           int arg1,
                                           int arg2)

  Specified by:
    `getScrollableBlockIncrement` in interface `Scrollable`

### getScrollableTracksViewportHeight

    public boolean getScrollableTracksViewportHeight()

  Specified by:
    `getScrollableTracksViewportHeight` in interface `Scrollable`

### getScrollableTracksViewportWidth

    public boolean getScrollableTracksViewportWidth()

  Specified by:
    `getScrollableTracksViewportWidth` in interface `Scrollable`

### getScrollableUnitIncrement

    public int getScrollableUnitIncrement(Rectangle arg0,
                                          int arg1,
                                          int arg2)

  Specified by:
    `getScrollableUnitIncrement` in interface `Scrollable`

### selectionChanged

    public void selectionChanged(ChangeEvent e)

  Specified by:
    `selectionChanged` in interface `TreeViewPanelListener`

### zoomChanged

    public void zoomChanged(ChangeEvent e)

  Specified by:
    `zoomChanged` in interface `TreeViewPanelListener`

### sizeChanged

    public void sizeChanged(ChangeEvent e)

  Specified by:
    `sizeChanged` in interface `TreeViewPanelListener`

### getMinimumSize

    public Dimension getMinimumSize()

  Overrides:
    `getMinimumSize` in class `JComponent`

### paintComponent

    protected void paintComponent(Graphics g1)

  Overrides:
    `paintComponent` in class `JComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD